# Interface MStackElement

All Superinterfaces:
  `MApplicationElement, MLocalizable, MUIElement`

All Known Subinterfaces:
  `MCompositePart, MPart, MPlaceholder`

All Known Implementing Classes:
  `CompositePartImpl, PartImpl, PlaceholderImpl`

public interface MStackElement extends MUIElement
A representation of the model object 'Stack Element'.

A class to be mixed in to any element that should be allowed to be added to a PartStack.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

### Methods inherited from interface MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface MLocalizable

`updateLocalization`

### Methods inherited from interface MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`